services:
    app.security.checker.portal_user:
        class: Symfony\Component\Security\Core\User\ChainUserChecker
        arguments:
            -
                - '@app.security.checker.deleted'
                - '@app.security.checker.verified'

    app.security.checker.deleted:
        class: App\Security\Checker\DeletedUserChecker

    app.security.checker.verified:
        class: App\Security\Checker\VerifiedUserChecker

